Create payment link | Moov Documentation
Create payment link
Create a payment link that allows an end user to make a payment on Moov's hosted payment link page.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/transfers.write scope.
POST
/accounts/{accountID}/payment-links
Ask
curl -X POST "https://api.moov.io/accounts/{accountID}/payment-links" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.04.00" \
-d '{\n "partnerAccountID": "d290f1ee-6c54-4b01-90e6-d701748f0851",\n "merchantPaymentMethodID": "4c4e7f8e-81f4-4f3d-8f6f-6f6e7f8e4c4e",\n "display": {\n "title": "Support our cause",\n "description": "Choose an amount to contribute.",\n "callToAction": "donate"\n },\n "customer": {\n "requirePhone": true\n }\n}'
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.paymentLinks.create({
accountID: "cc1d04a8-03b1-4600-b675-e6180d574074",
createPaymentLink: {
partnerAccountID: "d290f1ee-6c54-4b01-90e6-d701748f0851",
merchantPaymentMethodID: "4c4e7f8e-81f4-4f3d-8f6f-6f6e7f8e4c4e",
amount: {
currency: "USD",
value: 10000,
},
display: {
title: "Support our cause",
description: "Choose an amount to contribute.",
callToAction: "donate",
},
customer: {
requirePhone: true,
},
},
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\